Package org.codehaus.groovy.binding

## Class MutualPropertyBinding

- java.lang.Object
- - org.codehaus.groovy.binding.MutualPropertyBinding

- All Implemented Interfaces:
    `BindingUpdatable`, `FullBinding`

      public class MutualPropertyBinding
      extends java.lang.Object
      implements FullBinding

  Since:
    Groovy 1.6

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bind()` | Causes automatic updating of bound values to be turned on.
    `Closure` | `getConverter()` |
    `Closure` | `getReverseConverter()` |
    `SourceBinding` | `getSourceBinding()` |
    `TargetBinding` | `getTargetBinding()` |
    `Closure` | `getValidator()` |
    `void` | `rebind()` | Causes the current bindings to be reset.
    `protected void` | `rebuildBindings()` |
    `void` | `reverseUpdate()` | If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
    `void` | `setConverter​(Closure converter)` |
    `void` | `setReverseConverter​(Closure reverseConverter)` |
    `void` | `setSourceBinding​(SourceBinding sourceBinding)` |
    `void` | `setTargetBinding​(TargetBinding targetBinding)` |
    `void` | `setValidator​(Closure validator)` |
    `void` | `unbind()` | Causes automatic updating of bound values to be turned off.
    `void` | `update()` | Causes the values to be propagated from the source to the target

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSourceBinding

          public SourceBinding getSourceBinding()

      Specified by:
        `getSourceBinding` in interface `FullBinding`

    - #### getTargetBinding

          public TargetBinding getTargetBinding()

      Specified by:
        `getTargetBinding` in interface `FullBinding`

    - #### setSourceBinding

          public void setSourceBinding​(SourceBinding sourceBinding)

      Specified by:
        `setSourceBinding` in interface `FullBinding`

    - #### setTargetBinding

          public void setTargetBinding​(TargetBinding targetBinding)

      Specified by:
        `setTargetBinding` in interface `FullBinding`

    - #### setValidator

          public void setValidator​(Closure validator)

      Specified by:
        `setValidator` in interface `FullBinding`

    - #### getValidator

          public Closure getValidator()

      Specified by:
        `getValidator` in interface `FullBinding`

    - #### setConverter

          public void setConverter​(Closure converter)

      Specified by:
        `setConverter` in interface `FullBinding`

    - #### getConverter

          public Closure getConverter()

      Specified by:
        `getConverter` in interface `FullBinding`

    - #### setReverseConverter

          public void setReverseConverter​(Closure reverseConverter)

      Specified by:
        `setReverseConverter` in interface `FullBinding`

    - #### getReverseConverter

          public Closure getReverseConverter()

      Specified by:
        `getReverseConverter` in interface `FullBinding`

    - #### rebuildBindings

          protected void rebuildBindings()

    - #### bind

          public void bind()

      Description copied from interface: `BindingUpdatable`
      Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.
      Specified by:
        `bind` in interface `BindingUpdatable`

    - #### unbind

          public void unbind()

      Description copied from interface: `BindingUpdatable`
      Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.
      Specified by:
        `unbind` in interface `BindingUpdatable`

    - #### rebind

          public void rebind()

      Description copied from interface: `BindingUpdatable`
      Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.
      Specified by:
        `rebind` in interface `BindingUpdatable`

    - #### update

          public void update()

      Description copied from interface: `BindingUpdatable`
      Causes the values to be propagated from the source to the target
      Specified by:
        `update` in interface `BindingUpdatable`

    - #### reverseUpdate

          public void reverseUpdate()

      Description copied from interface: `BindingUpdatable`
      If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
      Specified by:
        `reverseUpdate` in interface `BindingUpdatable`